;------------- ConfigureWizard -------------

[ConfigureWizard]
@ = [WizardTpl] sz(493,360) at(minimizable) mg(0,0,0,0) subst(Footer(subst(Separator(visible($IsInitMode) ) Copyright(visible($IsInitMode && !ctl.InitFinish.visible)) Copyright2(visible($IsInitMode && !ctl.InitFinish.visible)) )) Pages([ConfigureWizardPages])) onclose(((settings.Ins_InitMode & #eInitMode_Init) && !(PiwFlags & #fPiwRebootOnly)) ? msg("CancelWizardWarning", #m_yesno) : if(PiwFlags == #fPiwActivation && !ctl.ActivationEnd.selected, checkPassword(#pwdc_SaveSettings))) onapply(Interactive ? pdm.settings.bAutoRollback=#PDM2RollBack_ask : pdm.settings.bAutoRollback=#PDM2RollBack_auto; f_IfErrThenMsg(savesettings(), "SettingsOperationError")) ext(1)

[ConfigureWizardPages]
@                       = ext(1) sz(p,p) oninit(strActivationCode=g_strActivationCode; g_strActivationCode = "")
InitBegin               = [WizardPage] h(15447) use( (PiwFlags & #fPiwSettings) && (PiwFlags & #fPiwReset) ) subst(Name(xy(7,,7)) Descr(xy(,3,7)) Body([ConfigureWizard.InitBegin]))
CheckHosts				= [WizardPage] h(14878) use((PiwFlags & #fPiwSettings)) visible(BadHostsFileRecords.size()) subst(Name() Descr() Body([ConfigureWizard.CheckHosts] mg(20,10,20,15) ) )
ResetArea               = [WizardPage] h($IsKAV ? 15946 : 14878) use(PiwFlags & #fPiwReset) visible(ResetItems.Children.size()) subst(Name() Descr() Body([ConfigureWizard.ResetArea] mg(20,10,20,15) ) )
ActivationBegin         = [WizardPage] h(($IsRefreshSubAvail && ( PiwFlags == #fPiwActivation && !$HasNoKeys))? 15448 : 15448) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) subst(Name() Descr() Body([ConfigureWizard.ActivationBegin]))
ActivationProgress      = [WizardPage] h(strActivationCode? 15449:15452) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) btns(Back(enable(!bCancelling&&!bSubscriptionOnly&&(bConnectionError || (!KeyInfo.KeyType || InvalidReason != #ekirValid))) ) Next(enable(!bCancelling&&!bConnectionError && (bConnected && bSentCode && bRetrievedKey) && (KeyInfo.KeyType && InvalidReason == #ekirValid) ) )) ns(PiwLicInfo) subst(Name() Descr() Body([ConfigureWizard.ActivationProgress]))
ActivationServerForm    = [WizardPage] h(15449) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) subst(Name() Descr() Body([ConfigureWizard.ActivationServerForm]))
ActivationChooseKey     = [WizardPage] h(15453) use((PiwFlags & #fPiwActivation) && !bSilent && bActivationNeeded) subst(Name() Descr() Body([ConfigureWizard.ActivationChooseKey]))
ActivationEnd           = [WizardPage] h(15454) use((PiwFlags & #fPiwActivation) && !bSilent) btns(Back(enable(0)) Cancel(enable($IsInitMode))) subst(Name() Descr() Body([ConfigureWizard.ActivationEnd]))
Interaction             = [WizardPage] h(15455) use((PiwFlags & #fPiwSettings) && !bExpress) subst(Name() Descr() Body([ConfigureWizard.Interaction]))
Update                  = [WizardPage] h(15456) use((PiwFlags & #fPiwSettings) && !bExpress && f_isInstalled("Updater")) subst(Name() Descr() Body([ConfigureWizard.Update]))
;Antivirus               = [WizardPage] h(902) use((PiwFlags & #fPiwSettings) && !bExpress && (f_isInstalled("Scan_Startup") || f_isInstalled("Scan_Critical_Areas") || f_isInstalled("Scan_My_Computer"))) subst(Name() Descr() Body([ConfigureWizard.Antivirus]))
Password                = [WizardPage] h(15457) use((PiwFlags & #fPiwSettings) && !bExpress && !bSilent && !(PiwFlags & #fPiwReset)) visible(eTriggers & #wzPassword) subst(Name() Descr() Body([ConfigureWizard.Password]))
Threats                 = [WizardPage] h(15458) use((PiwFlags & #fPiwSettings) && !bExpress) subst(Name() Descr() Body([ConfigureWizard.Threats] mg(20,20,20,5) ))
;SSL                     = [WizardPage] h(5792) use((PiwFlags & #fPiwSettings) && !bExpress && f_isInstalled("httpscan")) subst(Name() Descr() Body([ConfigureWizard.SSL]))
EnumExe                 = [WizardPage] h(15460) use((PiwFlags & #fPiwSettings) && f_isInstalled("Hips")) btns(Back(enable(0)) Next(enable(Progress==100)) ) subst(Name() Descr() Body([ConfigureWizard.EnumExe]))
;TrainAntiSpam           = [WizardPage] h(15461) use((PiwFlags & #fPiwSettings) && !(PiwFlags & #fPiwReset)) visible(bAntiSpamTraining) subst(Name() Descr() Body([ConfigureWizard.TrainAntiSpam]))
InitFinish              = [WizardPage] h($IsKAV ? 15689 : 15463) use(PiwFlags & (#fPiwSettings | #fPiwRebootOnly)) btns(Back(enable(0)) Cancel(enable(0))) subst( Header(visible(PiwFlags & #fPiwReset)) Name() Descr() Body([ConfigureWizard.InitFinish] mg(0,0,0,0) ))

;------------- ConfigureWizard.InitBegin -------------

[ConfigureWizard.InitBegin]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.InitBegin_Info]

[ConfigureWizard.InitBegin_Info]
@       = sz(p,a)
Descr   = sz(a,a)

;------------- ConfigureWizard.CheckHosts -------------
					   
[ConfigureWizard.CheckHosts]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.CheckHosts_Info]

[ConfigureWizard.CheckHosts_Info]
@       = sz(p,p) a(lt)
Descr   = sz(p,a)
Note	= sz(p,a)
List    = t(richedit) at(readonly,vscroll) a(sa) sz(p,120) xy(,7) text(BadHostsFileRecords.format("e", "\n")) enable(!bCureHostsFileDone)
Action	= [ConfigureWizard.CheckHosts_Info_Action] enable(!bCureHostsFileDone)

[ConfigureWizard.CheckHosts_Info_Action]
@				= $SettingsGroup v(bCureHostsFile) xy(0,) sz(p,a)
Delete			= $Radio sz(a,a) v(1) f("PIW_Bold")
Skip			= $Radio sz(a,a) a(la) xy(,7) v(0)

;------------- ConfigureWizard.ResetArea -------------
					   
[ConfigureWizard.ResetArea]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.ResetArea_Info]

[ConfigureWizard.ResetArea_Info]
@       = sz(p,p) a(lt)
Descr   = sz(p,a)
List    = [SettingsReset_List] v(ResetItems)

;------------- ConfigureWizard.ActivationBegin -------------

[ConfigureWizard.ActivationBegin]
$WizActPages        = mask(wizMask, wizPagesMask("ActivationForm,ActivationProgress,ActivationServerForm,ActivationChooseKey,ActivationEnd"))
@                   = sz(p,p)  ext(1)
Ctrls               = [ConfigureWizard.ActivationBegin_Ctrls]

[ConfigureWizard.ActivationBegin_Ctrls]
@=sz(p,p) v($WizActPages) onok((ctl.RemoveKey.selected) ? (if(msg("LicenseRemoveKeyWarning", #m_yesno) && checkPassword(#pwdc_SaveSettings), (removeKey() )) ) : ((ctl.ActivateCommercial.selected) ? (if(f_IsPossibleAddKey(), true, false) ) : true))
RefreshSubscription     = $Radio f("PIW_Radio") a(la) xy(0,0) v(wizPagesMask("ActivationProgress,ActivationEnd")) visible($IsRefreshSubAvail)
ActivateCommercial      = $Radio f("PIW_Radio") a(la) xy(0,0) use($PersonalOnly) visible(!$HasReserveKey && !$IsSubscription) v(wizPagesMask("ActivationProgress,ActivationServerForm,ActivationEnd"))
ActivateCommercial_Desc = t(richedit) at(readonly,nofocus,noborder) a(la) f("PIW_Normal") xy($RadioCommentShift,8) use($PersonalOnly) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) 
ActivationCode          = t(edit) at(serial) a(as) ta(r) sz(180,a) xy(5,-3,) v(strActivationCode) oninit(if(LockActivationCode,strActivationCode=settings.Ins_ActivationCode)) enable(!LockActivationCode && ctl.ActivateCommercial.selected) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode)
ActivationCode_Desc     = t(richedit) at(readonly,nofocus,noborder) a(la) sz(a,a) xy($RadioCommentShift,5) f("PIW_Normal") onclick(url($WhatIsCustomerIdLink)) visible(!$HasReserveKey && !$IsSubscription)
ActivateBeta            = $Radio f("PIW_Radio") a(la) xy(0,35) use($PersonalOnly && !IsRelease && !$IsActiveKeyBeta ) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationProgress,ActivationEnd"))
ActivateTrial           = $Radio f("PIW_Radio") a(la) xy(0,35) use($PersonalOnly && !$IsActiveKeyTrial && !bAlreadyTrialled && !$IsActiveKeyCommercial && IsRelease && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationProgress,ActivationEnd"))
ActivateTrial_Desc      = a(la) $RadioCommentShiftXY f("PIW_Normal") use($PersonalOnly) use($PersonalOnly && !$IsActiveKeyTrial && !bAlreadyTrialled && !$IsActiveKeyCommercial && IsRelease && !$IsSubscription && !LockActivationCode)
ChooseKey          = $Radio f("PIW_Radio") a(la) xy(0,35) visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode) v(wizPagesMask("ActivationChooseKey,ActivationEnd"))
ChooseKey_Desc          = a(la) $RadioCommentShiftXY f("PIW_Normal") visible(!$HasReserveKey && !$IsSubscription && !LockActivationCode)
Later                   = $Radio f("PIW_Radio") a(la) xy(,35) visible(PiwFlags != #fPiwActivation) v(0)
Later_Desc              = a(la) $RadioCommentShiftXY f("PIW_Normal") visible(PiwFlags != #fPiwActivation)
;RemoveKey			    = $Radio f("PIW_Radio") a(la) xy(,35) v(0) visible(PiwFlags == #fPiwActivation && !$HasNoKeys && !bSubscriptionOnly)

[ConfigureWizard.ActivationBegin_Info]
@                   = sz(p,50)
ActivationUrlsInfo  = t(richedit) sz(p,a) at(noborder,nofocus,readonly)

;------------- ConfigureWizard.ActivationForm was deleted -------------

;------------- ConfigureWizard.ActivationProgress -------------

[ConfigureWizard.ActivationProgress]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.ActivationProgress_Info]

[ConfigureWizard.ActivationProgress_Info]
@                   = sz(p,a)
ConnectingIcon      = i(bConnected ? "States,0" : "listctrls,6") a(la) sz(a,a)
ConnectingInfo      = [Value] a(as) subst(Name() Val())
SendingCodeIcon     = i(bSentCode ? "States,0" : "listctrls,6") a(la) xy(,20) visible(bConnected) sz(a,a)
SendingCodeInfo     = [Value] a(as) visible(bConnected) subst(Name() Val())
RetrievingKeyIcon   = i(bRetrievedKey ? "States,0" : "listctrls,6") a(la) xy(,20) visible(bSentCode) sz(a,a)
RetrievingKeyInfo   = [Value] a(as) visible(bSentCode) subst(Name() Val())
StatusIcon          = i("States,0") a(la) xy(,20) visible(KeyInfo.KeyType && InvalidReason == #ekirValid) sz(a,a) ns(PiwLicInfo)
Status              = a(as) visible(KeyInfo.KeyType && InvalidReason == #ekirValid) ns(PiwLicInfo)
KeyInfo             = [ConfigureWizard.ActivationProgress_KeyInfo] xy(,26) ns(PiwLicInfo) visible(KeyInfo.KeyType && InvalidReason == #ekirValid)

[ConfigureWizard.ActivationProgress_KeyInfo]
@               = sz(p,a) a(la) ext(1)
Separator       = t(group) a(la) sz(p,2) xy(,0,0,) at(3dborder)
Type            = [Value] a(la) xy(20,14,20,0) subst(Name() Val(text(f_KeyTypeDescription(KeyInfo)) ta(rt) sz(p,a)))
ExpirationDate  = [Value] a(la) xy(20,15,20,0) subst(Name() Val( ta(rt) sz(p,a))) visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug) extprm(1)

;------------- ConfigureWizard.ActivationServerForm -------------

[ConfigureWizard.ActivationServerForm]
@           = sz(p,p) ext(1)
Info        = [ConfigureWizard.ActivationServerForm_Info]

[ConfigureWizard.ActivationServerForm_Info]
@                   = sz(p,p) xy(,,,7)
Hint                = sz(p,a) xy(,,,7)
ActivationHtmlForm  = t(html) at(noscroll) mg(20,) xy(,,,7) a(la) bg("ColorWindowClassic")

;------------- ConfigureWizard.ActivationChooseKey -------------

[ConfigureWizard.ActivationChooseKey]
@           = sz(p,p) ext(1)
Info        = [ConfigureWizard.ActivationChooseKey_Info]

[ConfigureWizard.ActivationChooseKey_Info]
@               = sz(p,a)
ConnectingIcon      = i("States,2") a(la) sz(a,a) visible(bConnected)
ConnectingInfo      = [Value] a(as) subst(Name() Val(f("PIW_Bold_Red") xy(140) at(btnlike) ns(PiwLicErrorInfo) onclick( msg("LicOperationError", #m_error) ) )) visible(bConnected)
TryAgain            = $Button_Medium a(rs) xy(-17,-5) visible(bConnected)
;Descr1              = a(la) xy(19,13) visible(bConnected)
Descr2              = t(richedit) at(readonly,noborder,nofocus) a(ca) xy(,5) visible(bConnected)
;Descr3              = t(richedit) at(readonly,noborder,nofocus) sz(p,a) a(la) xy(19,5) visible(bConnected)
KeyPathLabel        = a(la) xy(,15) sz(a,a)
KeyPath             = t(edit) at(nofocus,compresspath,readonly) a(as) sz(p,a) xy(32,-5,74) v(strKeyPath) enable(strKeyPath)  onok(if(!strKeyPath, balloon("ErrEmptyKeyPath")))
KeyBrowse           = $Button a(rs) xy(-17,-1,) text($Browse) onclick(browsefileopen(strKeyPath, $BrowseForKey, "key"))
KeyInfo            = [ConfigureWizard.ActivationChooseKey_Info_KeyInfo] ns(PiwLicInfo) visible(PiwLicInfo.KeyInfo.KeyType != #ektUnknown)

[ConfigureWizard.ActivationChooseKey_Info_KeyInfo]
@               = sz(p,a) a(la) xy(,$Control_Shift) mg(10,3) ext(1)
Number          = [Value] a(la) xy(,,,3) subst(Name() Val(text(f_KeySerNum(KeyInfo.KeySerNum)) ta(rt) sz(342,a)))
Type            = [Value] a(la) xy(,,,3) subst(Name() Val( a(as) xy(10,0) sz(p,a) ta(rt) text(f_KeyTypeDescription(KeyInfo)) ))
CreationDate    = [Value] a(la) xy(,,,3) subst(Name() Val(text(date(KeyInfo.KeyCreationDate)) ta(rt) sz(342,a))) visible(InvalidReason == #ekirKeyCreationDateInvalid || $KeyDebug)
InstallDate     = [Value] a(la) xy(,,,3) subst(Name() Val(text(date(KeyInstallDate)) ta(rt) sz(342,a)))        visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug)
ExpirationDate  = [Value] a(la) xy(,,,3) subst(Name() Val(text(datetime(KeyExpirationDate)) ta(rt) sz(342,a))) visible(!f_IsKeySubscr(KeyInfo.KeyType) || $KeyDebug) extprm(1)
SubscrptnExpDate= [Value] a(la) xy(,,,3) subst(Name() Val(text(s_SubscrptnExpDate(SubscriptionInfo.ExpDateType)) ta(rt) sz(342,a))) visible(f_IsKeySubscr(KeyInfo.KeyType))
SubscrptnTol    = [Value] a(la) xy(,,,3) subst(Name(text("ToleranceDays")) Val(text(KeyInfo.SubscriptionInfo.ToleranceDays) ta(rt) sz(342,a))) visible(f_IsKeySubscr(KeyInfo.KeyType) && $KeyDebug)
InvalidReason   = a(ca) xy(,5,,3) f("Normal_Bold") text(s_KeyInvalidReason(InvalidReason)) visible(InvalidReason != #ekirValid)

;------------- ConfigureWizard.ActivationEnd -------------

[ConfigureWizard.ActivationEnd]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.ActivationEnd_Info]

[ConfigureWizard.ActivationEnd_Info]
@       = sz(p,a)
Text2   = a(la) xy(,7) sz(p,a) i("States,0")
KeyInfo = [ConfigureWizard.ActivationProgress_KeyInfo] xy(,17) ns(PiwLicInfo)

;------------- ConfigureWizard.Interaction -------------

[ConfigureWizard.Interaction]
@               = sz(p,p) ext(1)
Descr           = sz(p,a)
Ctrls           = [ConfigureWizard.Interaction_Ctrls] xy(,25)

[ConfigureWizard.Interaction_Ctrls]
@ = sz(p,a) v(Interactive) a(la)
Auto              = $Radio f((Interactive)? "PIW_Normal":"PIW_Bold") a(la) xy(0,0) at(default) v(0)
Manual            = $Radio f((!Interactive)? "PIW_Normal":"PIW_Bold") a(lt) xy(0,64) v(1)

;------------- ConfigureWizard.Update -------------

[ConfigureWizard.Update]
@           = sz(p,p) ext(1)
Descr       = sz(p,a) xy(,,,25)
Updater     = [ConfigureWizard.Update_Updater]

[ConfigureWizard.Update_Updater]
@           = sz(p,a) alias(taskview) a(la)
Schedule    = [ConfigureWizard.Update_Updater_Schedule]
Actions     = [ConfigureWizard.Update_Updater_Actions] xy(,49)

[ConfigureWizard.Update_Updater_Schedule]
@       = sz(p,a) v(schedule.Mode) 
Auto    = t(radio) f((schedule.Mode==2)? "PIW_Bold":"PIW_Normal") sz(a,a) v(2)
Fixed   = t(radio) f((schedule.Mode==1)? "PIW_Bold":"PIW_Normal") sz(a,a) a(la) xy(,25) v(1)
Manual  = t(radio) f((schedule.Mode==0)? "PIW_Bold":"PIW_Normal") sz(a,a) a(la) xy(,25) v(0)

[ConfigureWizard.Update_Updater_Actions]
@               = sz(a,a) a(ca)
UpdaterSettings = $Button_Large onclick(windowDlg("UpdaterSettings"))
UpdateNow       = $Button_Large xy(16,) a(a,s) onclick(if(f_setState(#TASK_REQUEST_RUN, name), dialog("UpdaterProgressWindow", p_fAutonomeMode(true))))

;------------- ConfigureWizard.Antivirus -------------

[ConfigureWizard.Antivirus]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.Antivirus_Info]

[ConfigureWizard.Antivirus_Info]
@                   = sz(p,a) at(enum) onchange(ctl.value ? (Scan_Startup.schedule.Mode = #schmManual, Scan_My_Computer.schedule.Mode = #schmEnabled) : (Scan_Startup.schedule.Mode = #schmEnabled, Scan_My_Computer.schedule.Mode = #schmManual))
Descr               = sz(p,a) xy(,,,10)
QuickScan           = t(radio) f("Normal_Bold") sz(a,a) a(la) v(0) xy(20)
Descr2              = sz(a,a) a(la) xy(,17,,10)
FullScan            = t(radio) f("Normal_Bold") sz(a,a) a(la) v(1) xy(20)
Scan_Startup        = [OptionsWindow_Navigator_WorkArea_Scan_Objects_Body] alias(taskview) xy(10,-10) sz(p,a) visible(!ctl.Info.value) enable(0) subst(Settings(a(rs)))
Scan_My_Computer    = [OptionsWindow_Navigator_WorkArea_Scan_Objects_Body] alias(taskview) xy(10,-10) sz(p,a) visible(ctl.Info.value) subst(Settings(a(rs)))

;------------- ConfigureWizard.Password -------------

[ConfigureWizard.Password]
@       = sz(p,p) ext(1)
Descr   = sz(p,a) xy(,-3,,14)
Info    = [ConfigureWizard.Password_Info]

[ConfigureWizard.Password_Info]
@       = sz(p,a) a(la)
Enable  = $Check v(EnablePswrdProtect) f("PIW_Bold")
Params  = [ConfigureWizard.Password_Info_Params]

[ConfigureWizard.Password_Info_Params]
@                   = sz(p,a) enable(EnablePswrdProtect) a(la) xy(,10)
PswdText            = a(la) sz(a,a) xy(33)
Pswd                = t(edit) at(passwordset) a(rs) sz(200,a) xy(5,-1) onok(if(ctl.Enable.value && !ctl.value && !ctl.ConfPswd.value && !global.OPEP, balloon("ErrNoPasswordEntered")))
ConfPswdText        = a(la) sz(a,a) xy(33,5)
ConfPswd            = t(edit) at(passwordset) a(rs) sz(200,a) xy(5,-1) onok(if(ctl.Enable.value, (ctl.value == ctl.Pswd.value ? if(ctl.value, OPEP = hashMD5(ctl.value)) : balloon("ErrDifferPswrds")), (OPEP = "", #true)))
AskPswrdSettings    = [PasswordEdit_Sett]

;------------- ConfigureWizard.InitFinish -------------

[ConfigureWizard.InitFinish]
@       = sz(p,p) ext(1) 
BG      = a(lt) sz(p,p) bg("MainWindowNav") xy(,,,0)
pic     = a(lt) bg( if($IsInitMode, "IstallerLeftBanner_"+env("ProductType") ) ) sz(a,a)
Info    = [ConfigureWizard.InitFinish_Info] a(at) xy(0,0,0,10) bg( $IsInitMode? "White" : "MainWindowNav" )

[ConfigureWizard.InitFinish_Info]
@  = sz(p,p)
Ex = [ConfigureWizard.InitFinish_Info_Inner] xy(20,20,20,)

[ConfigureWizard.InitFinish_Info_Inner]
@                   = sz(p,p)
FinishDescr         = a(la) xy(,,,15) sz(p,a) f("PIW_Large_Bold")
ResetDescr          = a(la) xy(,7) sz(p,a) use(PiwFlags & #fPiwReset)
RebootPiwWarning    = a(la) xy(,7) use(settings.Ins_InitMode & #eInitMode_Init)
Reboot              = $Check xy(,34) v(bReboot) visible($IsInstallNeedReboot) use(!(PiwFlags & #fPiwReset))
StartProduct        = $Check xy(,34) v(bStartProduct) visible(!$IsInstallNeedReboot) use(!(PiwFlags & #fPiwReset))


;------------- ConfigureWizard.Feedback was deleted-------------

;------------- ConfigureWizard.Threats -------------

[ConfigureWizard.Threats]
@       = sz(p,p) ext(1)
Info    = [ConfigureWizard.Threats_Info] xy(,,,10)

[ConfigureWizard.Threats_Info]
@       = sz(p,p) a(lt) alias(taskview) ns(AVService)
List    = [OptionsWindow_Navigator_WorkArea_Threats_List] xy(,-10,,) use(!$IsInitMode)
List    = [OptionsWindow_Navigator_WorkArea_Threats_List] xy(,-15,,5) use($IsInitMode)

;------------- ConfigureWizard.SSL -------------

[ConfigureWizard.SSL]
@       = sz(p,p) ext(1)
Text    = sz(p,a)
Radio   = t(check) a(la) xy(20,20) f("Normal_Bold") v(equal(TrafficMonitor.DecodeSSL, 1))
Cert    = $Link f("Hotlink") a(rs) visible(TrafficMonitor.DecodeSSL == 1) onclick(generateCertificate(); open(env("PersonalRootCertificate")))

;------------- ConfigureWizard.EnumExe -------------

[ConfigureWizard.EnumExe]
@                   = sz(p,p) ext(1)
Info                = sz(p,a)
Progress            = t(progress) a(la) xy(,17) sz(p,20) v(Progress)
CurrentObjectName   = sz(p,a) a(la) xy(,10) v(strCurrentObjectName)

;------------- ConfigureWizard.TrainAntiSpam -------------

[ConfigureWizard.TrainAntiSpam]
@           = sz(p,p) ext(1)
Progress    = t(progress) xy(,17) sz(p,20) v(Progress)
Skip        = [WizardButton] at(default) onclick(wizNext()) a(lb) subst(Name() Descr())

;------------- LicenseKeysDiscartedDetails -----------

[LicenseKeysDiscartedDetails]
@       = $DlgAttr sz(400,300) at(resizable,a_close,nohelp)
Body    = [LicenseKeysDiscartedDetails.Body]

[LicenseKeysDiscartedDetails.Body]
@       = $DlgBodyAttr
Descr   = t(richedit) at(readonly,vscroll) sz(p,p) text(aKeys.format("f_LicenseKeysDiscartedDetailsVFmt()", "\n\n"))

;------------- LicenseExpirationWindow ------------

[LicenseExpirationWindow]
@       = $DlgAttrBase sz(380,a) at(a_close,customfooter,nohelp) mg(0,0) bg("ColorWindow")
Header  = [LicenseExpirationWindow_Header]
Body    = [LicenseExpirationWindow_Body]
Footer  = [DialogPanel]

[LicenseExpirationWindow_Header]
@           = a(la) sz(p,a) mg(10,10,10,0)
Ico         = i("e32")
CaptionText = a(ac) xy(7) sz(p,a) f("Header1Red")

[LicenseExpirationWindow_Body]
@               = $DlgBodyAttr sz(p,a) mg(20,10) a(la) xy(1,,,$DialogPanelSizeY)
TrialWarning    = a(la) sz(a,a) visible($IsActiveKeyTrial)
Text            = t(richedit) at(readonly,noborder,nofocus) a(sa) sz(a,a) text(s_LicenseExpiration_BlacklistInvalid(global.LicInvalidReason == #ekirInvalidBlacklist))
